package cn.reghao.tnb.search.api.iface;

import cn.reghao.tnb.search.api.dto.IndexCount;
import cn.reghao.tnb.search.api.dto.VideoSummary;
import cn.reghao.jutil.jdk.web.db.PageList;

import java.util.List;

/**
 * @author reghao
 * @date 2025-03-27 13:45:23
 */
public interface DataSearchService {
    void addVideoSummary(VideoSummary videoSummary);
    void addVideoSummaryList(List<VideoSummary> list);
    void updateVideoSummary(VideoSummary videoSummary);
    void deleteVideoSummary(String videoId);
    PageList<VideoSummary> searchVideo(String keyword, List<Integer> scopes, int pageNumber);
    IndexCount countIndex(String indexName);
}
